forked from pool/busybox
- fix path in busybox.install (bnc#680153)
OBS-URL: https://build.opensuse.org/package/show/Base:System/busybox?expand=0&rev=23
This commit is contained in:
parent
3bfdc5d399
commit
57fa87d493
@ -1,3 +1,8 @@
|
|||||||
|
-------------------------------------------------------------------
|
||||||
|
Wed Aug 1 14:15:40 UTC 2012 - lnussel@suse.de
|
||||||
|
|
||||||
|
- fix path in busybox.install (bnc#680153)
|
||||||
|
|
||||||
-------------------------------------------------------------------
|
-------------------------------------------------------------------
|
||||||
Wed Jul 18 07:43:58 UTC 2012 - aj@suse.de
|
Wed Jul 18 07:43:58 UTC 2012 - aj@suse.de
|
||||||
|
|
||||||
|
@ -1,6 +1,13 @@
|
|||||||
--- busybox-1.19.4/applets/install.sh
|
Index: busybox-1.19.4/applets/install.sh
|
||||||
|
===================================================================
|
||||||
|
--- busybox-1.19.4.orig/applets/install.sh
|
||||||
+++ busybox-1.19.4/applets/install.sh
|
+++ busybox-1.19.4/applets/install.sh
|
||||||
@@ -9,7 +9,7 @@
|
@@ -5,11 +5,11 @@ export LC_CTYPE=POSIX
|
||||||
|
|
||||||
|
prefix=$1
|
||||||
|
if [ -z "$prefix" ]; then
|
||||||
|
- echo "usage: applets/install.sh DESTINATION [--symlinks/--hardlinks/--scriptwrapper]"
|
||||||
|
+ echo "usage: busybox.install DESTINATION [--symlinks/--hardlinks/--scriptwrapper]"
|
||||||
exit 1
|
exit 1
|
||||||
fi
|
fi
|
||||||
|
|
||||||
@ -9,3 +16,12 @@
|
|||||||
|
|
||||||
linkopts=""
|
linkopts=""
|
||||||
scriptwrapper="n"
|
scriptwrapper="n"
|
||||||
|
@@ -64,7 +64,7 @@ fi
|
||||||
|
|
||||||
|
rm -f "$prefix/bin/busybox" || exit 1
|
||||||
|
mkdir -p "$prefix/bin" || exit 1
|
||||||
|
-install -m 755 busybox "$prefix/bin/busybox" || exit 1
|
||||||
|
+install -m 755 /usr/bin/busybox "$prefix/bin/busybox" || exit 1
|
||||||
|
|
||||||
|
for i in $h; do
|
||||||
|
appdir=`dirname "$i"`
|
||||||
|
Loading…
Reference in New Issue
Block a user